package com.yihu.jw.entity.thirdUpload;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wsy on 2021/8/31.
 */
@Entity
@Table(name = "base_ns_online_ask")
public class BaseNsOnlineAskDO extends UuidIdentityEntity {
    /*网络咨询服务信息表*/
    private String idOnlineAsk;     //网络咨询记录唯一标识
    private String netServiceCode;  //互联网医疗服务类型
    private String medClassCode;    //咨询类别
    private String medPopCode;      //咨询属性
    private String orgName;         //医疗机构名称
    private String orgCode;         //医疗机构编码
    private String cdOrgSub;        //医疗机构单位隶属
    private String cdArea;          //医疗机构地区
    private String visitDocName;    //医师姓名
    private String visitDocIdNo;    //医师身份证号
    private String visitDocCode;    //医师唯一标识
    private String visitDeptCode;   //咨询医师所属专业代码
    private String visitDeptName;   //咨询医师所属专业名称
    private String ptNo;             //患者姓名
    private String ptAge;            //患者年龄
    private String costType;         //患者费别
    private String ptBirthdate;     //出生日期
    private String geCode;           //患者性别
    private String ptTel;             //患者联系电话
    private String cardType;        //患者证件类型
    private String idNo;            //患者证件号
    private String ptDistrict;      //患者所在地区
    private String applyTime;       //咨询申请时间
    private String visitTime;       //接诊时间
    private String visitFinishTime;     //结束时间
    private String complaintContent;    //患者咨询内容
    private String procFile;            //诊疗过程文件
    private String price;               //咨询服务价格
    private String fgReply;             //医师是否回复
    private Date crtTime;             //数据上传时间
    private Date createTime;          //生成时间
    private String upload;              //上传时间

    @Column(name = "id_online_ask")
    public String getIdOnlineAsk() {
        return idOnlineAsk;
    }

    public void setIdOnlineAsk(String idOnlineAsk) {
        this.idOnlineAsk = idOnlineAsk;
    }

    @Column(name = "net_service_code")
    public String getNetServiceCode() {
        return netServiceCode;
    }

    public void setNetServiceCode(String netServiceCode) {
        this.netServiceCode = netServiceCode;
    }

    @Column(name = "med_class_code")
    public String getMedClassCode() {
        return medClassCode;
    }

    public void setMedClassCode(String medClassCode) {
        this.medClassCode = medClassCode;
    }
    @Column(name = "med_pop_code")
    public String getMedPopCode() {
        return medPopCode;
    }

    public void setMedPopCode(String medPopCode) {
        this.medPopCode = medPopCode;
    }

    @Column(name = "org_name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    @Column(name = "cd_orgSub")
    public String getCdOrgSub() {
        return cdOrgSub;
    }

    public void setCdOrgSub(String cdOrgSub) {
        this.cdOrgSub = cdOrgSub;
    }

    @Column(name = "cd_area")
    public String getCdArea() {
        return cdArea;
    }

    public void setCdArea(String cdArea) {
        this.cdArea = cdArea;
    }

    @Column(name = "visit_doc_name")
    public String getVisitDocName() {
        return visitDocName;
    }

    public void setVisitDocName(String visitDocName) {
        this.visitDocName = visitDocName;
    }

    @Column(name = "visit_doc_id_no")
    public String getVisitDocIdNo() {
        return visitDocIdNo;
    }

    public void setVisitDocIdNo(String visitDocIdNo) {
        this.visitDocIdNo = visitDocIdNo;
    }

    @Column(name = "visit_doc_code")
    public String getVisitDocCode() {
        return visitDocCode;
    }

    public void setVisitDocCode(String visitDocCode) {
        this.visitDocCode = visitDocCode;
    }

    @Column(name = "visit_dept_code")
    public String getVisitDeptCode() {
        return visitDeptCode;
    }

    public void setVisitDeptCode(String visitDeptCode) {
        this.visitDeptCode = visitDeptCode;
    }

    @Column(name = "visit_dept_name")
    public String getVisitDeptName() {
        return visitDeptName;
    }

    public void setVisitDeptName(String visitDeptName) {
        this.visitDeptName = visitDeptName;
    }

    @Column(name = "pt_no")
    public String getPtNo() {
        return ptNo;
    }

    public void setPtNo(String ptNo) {
        this.ptNo = ptNo;
    }

    @Column(name = "pt_age")
    public String getPtAge() {
        return ptAge;
    }

    public void setPtAge(String ptAge) {
        this.ptAge = ptAge;
    }

    @Column(name = "cost_type")
    public String getCostType() {
        return costType;
    }

    public void setCostType(String costType) {
        this.costType = costType;
    }

    @Column(name = "pt_birthdate")
    public String getPtBirthdate() {
        return ptBirthdate;
    }

    public void setPtBirthdate(String ptBirthdate) {
        this.ptBirthdate = ptBirthdate;
    }

    @Column(name = "ge_code")
    public String getGeCode() {
        return geCode;
    }

    public void setGeCode(String geCode) {
        this.geCode = geCode;
    }

    @Column(name = "pt_tel")
    public String getPtTel() {
        return ptTel;
    }

    public void setPtTel(String ptTel) {
        this.ptTel = ptTel;
    }

    @Column(name = "card_type")
    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    @Column(name = "id_no")
    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }

    @Column(name = "pt_district")
    public String getPtDistrict() {
        return ptDistrict;
    }

    public void setPtDistrict(String ptDistrict) {
        this.ptDistrict = ptDistrict;
    }

    @Column(name = "apply_time")
    public String getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(String applyTime) {
        this.applyTime = applyTime;
    }

    @Column(name = "visit_time")
    public String getVisitTime() {
        return visitTime;
    }

    public void setVisitTime(String visitTime) {
        this.visitTime = visitTime;
    }

    @Column(name = "visit_finish_time")
    public String getVisitFinishTime() {
        return visitFinishTime;
    }

    public void setVisitFinishTime(String visitFinishTime) {
        this.visitFinishTime = visitFinishTime;
    }

    @Column(name = "complaint_content")
    public String getComplaintContent() {
        return complaintContent;
    }

    public void setComplaintContent(String complaintContent) {
        this.complaintContent = complaintContent;
    }

    @Column(name = "proc_file")
    public String getProcFile() {
        return procFile;
    }

    public void setProcFile(String procFile) {
        this.procFile = procFile;
    }

    @Column(name = "price")
    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    @Column(name = "fg_reply")
    public String getFgReply() {
        return fgReply;
    }

    public void setFgReply(String fgReply) {
        this.fgReply = fgReply;
    }

    @Column(name = "crt_time")
    public Date getCrtTime() {return crtTime;}

    public void setCrtTime(Date crtTime) {this.crtTime = crtTime;}

    @Column(name = "create_time")
    public Date getCreateTime() {return createTime;}

    public void setCreateTime(Date createTime) {this.createTime = createTime;}

    @Column(name = "upload")
    public String getUpload() {
        return upload;
    }

    public void setUpload(String upload) {
        this.upload = upload;
    }
}
